body{background: #fff;}
.btn-primary {
  background-color: #e39600;
  border-color: #e39600;
}
.btn-primary:hover{
  background-color: #006666;
  border-color: #006666;
}
.btn-secondary{
  background-color: #f5f5f5;
}
.btn-default{background-color: #edeff6;}
.app-aside.modal{z-index: 1030;}
.modal-backdrop{z-index: 1100;}
.modal{z-index: 1150;}
.app-header{z-index: 1049;}
.bootstrap-datetimepicker-widget.dropdown-menu{z-index: 1070;}
/* .modal.lead-details-modal{z-index: 1150 !important;} */
.modal.lead-details-modal .select2-container {
  z-index: 1150;
}
.box-tool ul > li:nth-last-of-type(-n+2) {
  display: none;
}
.mt-45{margin-top: 45px !important;}
.mini-container{width: 600px;margin: 20px auto 0;box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 3px 1px -2px rgba(0, 0, 0, .12), 0 1px 5px 0 rgba(0, 0, 0, .2);padding: 20px;border-radius: 10px;}
.select2-container--default .select2-selection--single{border: 1px solid rgba(120, 130, 140, .4);}
.select2-container .select2-selection--single{height: 34px;}
.select2-container--default .select2-selection--single .select2-selection__rendered{line-height: 38px;}
.select2-container--default .select2-selection--single .select2-selection__arrow{height:38px;}
.form-control-label{padding-bottom: 0.2rem;color: #666;font-weight: 300;}
.alert{padding:.5rem;text-align: center;}
.box{margin-bottom: 1rem;}
.box-header{padding:0;}
.box-shadow{box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 3px 1px -2px rgba(0, 0, 0, .12), 0 1px 5px 0 rgba(0, 0, 0, .2);}
.card-box-shadow{box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 3px 1px -2px rgba(0, 0, 0, .12), 0 1px 5px 0 rgba(0, 0, 0, .2);border-radius: 10px;background-color: #fff;margin: 1rem 0 1rem 0;position: relative;padding:15px;}
.navbar-nav > .nav-item > .nav-link{line-height: 35px;}
.navbar-nav > .nav-item .btn{padding: .275rem .75rem;}
.app-aside .nav-icon{
  /* background: #00476a; */
  background: #13a1a1;
  border-radius: 5px;
  font-size: 1.1rem;
  width: 30px;
  height: 30px;
  margin:3px 0.5rem 0 0;
}
.app-aside .nav-icon i{font-size: 18px;}
.lead-details{padding: 10px;margin: 0 0 15px;border-radius: 5px;background: #cfeef7;color: #000;}
.lead-details .form-lbl-text {
  display: block;
  margin: 0;
  width: 100%;
  font-size: 13px;
  color: #727272;
}
.lead-details .label-value {
  display: inline-block;
  width: 100%;
  margin: 0 0 10px;
}
.data-form-input label{margin-bottom: 0.2rem;}
.form-control{border-color: rgba(120, 130, 140, .4);}
.lead-popup-wrap{height: 70vh;overflow-y: auto;}
.lead-popup-wrap .nav-md .nav-link{font-size: 16px;}
.lead-popup-wrap .nav-md .nav-link span i {
  display: inline-block;
  background: #e0eae8;
  color: #006666;
  width: 22px;
  height: 22px;
  text-align: center;
  line-height: 22px;
  border-radius: 20px;
  position: relative;
  top: -2px;
  margin: 0 2px 0 0;
  font-size: 14px;
}
.lead-popup-wrap .modal-title{margin-top: 6px;}
.navside .nav li li a{padding-left:2.1rem;}
.navside.dark{/*background-color: #006699;*/background-color: #006666;}
.navside .nav-text{opacity: 1;}
.app-aside .nav-active-primary .nav-link.active, .app-aside .nav-active-primary .nav > li.active > a{background-color: rgb(0 102 102 / 10%) !important;}
.navside .nav li a{padding: 0 0.5rem;}
.nav-icon{margin-right: 0.5rem;}
.navbar-brand > span{margin-left: 0;}
.navside .nav li li li a {padding-left: 3.5rem;}
.select2{width: 100% !important;}
.dataTables_length .select2.select2-container{width: auto !important;z-index: 999;}
.select2-container{z-index: 1061;}
.filter_div .select2-container{z-index: 999;}
.table td .text-primary{color:#6887ff !important;}
.table tbody tr {
  background-color: #f9f9f9;
}
.table tbody tr:hover, .table tbody tr:nth-child(odd) {
  background-color: #f6f6f6;
}
.table tbody tr.odd, .table tbody tr:nth-child(odd) {
  background-color: #fff;
}
.nav-sub li a .dotbg::before{content: '';position: absolute;width: 7px;height: 7px;background: #fff;border-radius: 10px;left: 18px;top: 12px;}
.app-footer:not(.hide) ~ .app-body {
    padding-bottom: 0;
}
.app-footer .p-a {
    padding: 0.5rem !important;
}
.forms-heading-inner{font-size: 16px;
    background: #e8f3f7;
    padding: 0.5rem;
    margin: 0 0 15px;}
.lead-details-modal .bootstrap-datetimepicker-widget{z-index: 9999 !important;}
.lead-details-modal .tab-content{overflow: visible;}
.table.dataTable td .btn,.table td .btn {
    margin-right: 8px;
    color: #fff;
}
.table td .btn{margin-bottom: 10px;}

/* Chatboat animation :: START */
.boat-deatils{
    margin: 0;
    position: fixed;
    background: #fff;
    bottom: 20%;
    right: 10px;
    padding: 10px;
    border-radius: 3px;
    border: 1px solid #ccc;
    box-shadow: -1px 4px 10px 2px rgb(0 0 0 / 20%);
    z-index: 99;
}
.boatcontainer {
  margin: 0;
  position: fixed;
  bottom: 8px;
  right: 8px;
  height: 64px;
  width: 78px;
  animation: up-down 7.5s infinite ease-in-out;
  background: #002e44;
  border-radius: 20px;
  cursor: pointer;
  z-index: 99;
}
.boatcontainer #chatbot {
    margin: auto;
    position: absolute;
    bottom: 0;
    left: 0;
    top: -10px;
    right: 0;
    width: 100px;
    height: 40px;
    border: 4px solid #00dbde;
    border-radius: 5rem;
}
.boatcontainer #chatbot-corner {
  margin: auto;
  position: absolute;
  bottom: 0;
  right: 0;
  top: 34px;
  left: -40px;
  width: 0;
  height: 0;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-top: 12px solid #00dbde;
  transform: rotate(131deg);
}
.boatcontainer #antenna {
  margin: auto;
  position: absolute;
  bottom: -58px;
  left: 0;
  right: 0;
  top: 0px;
  height: 20px;
  width: 10px;
  background-color: #00dbde;
  animation: antenna-appear 7.5s infinite ease-in-out;
}
.boatcontainer #antenna #beam {
  position: absolute;
  top: -12.5px;
  left: -5px;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  background-color: #00dbde;
  animation: beam-appear 7.5s infinite ease-in-out;
}
.boatcontainer #antenna #beam-pulsar {
  position: absolute;
  top: -12.5px;
  left: -5px;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  background-color: #00dbde;
  animation: beam-pulsar-appear 7.5s infinite ease-in-out;
}
.boatcontainer .dot {
  height: 7.5px;
  width: 7.5px;
  margin: auto;
  position: absolute;
  bottom: 0;
  top: 0;
  right: 0;
  left: -55px;
  background-color: #fff;
  border-radius: 50%;
  animation: pulse-outer 7.5s infinite ease-in-out;
}
.boatcontainer .dot:nth-child(2) {
  left: 0;
  animation: pulse-inner 7.5s infinite ease-in-out;
  animation-delay: 0.2s;
}
.boatcontainer .dot:nth-child(3) {
  left: 65px;
  animation: pulse-outer 7.5s infinite ease-in-out;
  animation-delay: 0.4s;
}
.boatcontainer h6{
  position: absolute;
  bottom: 5px;
  left: auto;
  right: auto;
  text-align: center;
  width: 100%;
  color: #fff;
  font-size: 11px;
}
.boat-deatils .input-field{margin-bottom: 10px;}
@keyframes pulse-inner {
  0% {
    transform: scale(1);
  }
  7.5% {
    transform: scale(1.2);
  }
  15% {
    transform: scale(1);
  }
  22.5% {
    transform: scale(1.2);
  }
  30% {
    transform: scale(1);
  }
  37.5% {
    transform: scale(1.2);
  }
  45% {
    top: 0;
    transform: scale(1);
    height: 17.5px;
    border-bottom-left-radius: 50%;
    border-bottom-right-radius: 50%;
    transform: rotate(-370deg);
  }
  50% {
    top: 22.5px;
    height: 10px;
    border-top-left-radius: 50%;
    border-top-right-radius: 50%;
    border-bottom-left-radius: 3rem;
    border-bottom-right-radius: 3rem;
    transform: rotate(10deg);
  }
  55% {
    transform: rotate(-10deg);
  }
  60% {
    transform: rotate(10deg);
  }
  65% {
    transform: rotate(-10deg);
  }
  65% {
    transform: rotate(0deg);
  }
  85% {
    top: 22.5px;
    height: 10px;
    border-top-left-radius: 50%;
    border-top-right-radius: 50%;
    border-bottom-left-radius: 3rem;
    border-bottom-right-radius: 3rem;
    transform: rotate(0deg);
  }
  92.5% {
    top: 22.5px;
    height: 10px;
    border-top-left-radius: 50%;
    border-top-right-radius: 50%;
    border-bottom-left-radius: 2.5rem;
    border-bottom-right-radius: 2.5rem;
    transform: rotate(0deg);
  }
  100% {
    top: 0;
    height: 17.5px;
    border-radius: 50%;
    transform: rotate(-360deg);
  }
}
@keyframes pulse-outer {
  0% {
    transform: scale(1);
  }
  7.5% {
    transform: scale(1.5);
  }
  15% {
    transform: scale(1);
  }
  22.5% {
    transform: scale(1.5);
  }
  30% {
    transform: scale(1);
  }
  37.5% {
    transform: scale(1.5);
  }
  45% {
    transform: scale(1);
    height: 17.5px;
  }
  55% {
    tranform: scale(1);
    height: 5px;
  }
  60% {
    height: 17.5px;
  }
  75% {
    height: 17.5px;
  }
  80% {
    tranform: scale(1);
    height: 5px;
  }
  85% {
    height: 17.5px;
  }
  100% {
    height: 17.5px;
  }
}
@keyframes antenna-appear {
  0% {
    visibility: hidden;
    top: -100px;
    height: 0;
  }
  50% {
    visibility: hidden;
    top: -100px;
    height: 0;
  }
  55% {
    visibility: visible;
    top: -125px;
    height: 20px;
  }
  95% {
    visibility: visible;
    top: -125px;
    height: 20px;
  }
  100% {
    top: -100px;
    height: 0;
  }
}
@keyframes beam-appear {
  0% {
    visibility: hidden;
    top: -12.5px;
    height: 0;
  }
  50% {
    visibility: hidden;
    top: -12.5px;
    height: 0;
  }
  55% {
    visibility: visible;
    top: -12.5px;
    height: 20px;
    width: 20px;
  }
  100% {
    visibility: visible;
    top: -12.5px;
    height: 20px;
    width: 20px;
  }
}
@keyframes beam-pulsar-appear {
  0% {
    visibility: hidden;
    top: -12.5px;
    height: 0;
  }
  50% {
    visibility: hidden;
    top: -12.5px;
    height: 0;
  }
  55% {
    visibility: visible;
    top: -12.5px;
    left: -5px;
    height: 20px;
    width: 20px;
    opacity: 1;
  }
  65% {
    top: -25px;
    left: -15px;
    height: 40px;
    width: 40px;
    opacity: 0;
    visibility: visible;
  }
  74% {
    visibility: hidden;
    opacity: 0;
  }
  75% {
    visibility: visible;
    top: -12.5px;
    left: -5px;
    height: 20px;
    width: 20px;
    opacity: 1;
  }
  85% {
    top: -25px;
    left: -15px;
    height: 40px;
    width: 40px;
    opacity: 0;
    visibility: visible;
  }
  94% {
    visibility: hidden;
    opacity: 0;
  }
  100% {
    visibility: hidden;
    opacity: 0;
  }
}
@keyframes up-down {
  0% {
    transform: translate(0);
  }
  12.5% {
    transform: translate(0, 2%);
  }
  25% {
    transform: translate(0);
  }
  37.5% {
    transform: translate(0, 2%);
  }
  50% {
    transform: translate(0);
  }
  62.5% {
    transform: translate(0, 2%);
  }
  75% {
    transform: translate(0);
  }
  87.5% {
    transform: translate(0, 2%);
  }
  100% {
    transform: translate(0);
  }
}
/* Chatboat animation :: END */

/* Dailer animation :: START */
.trin-trin
{
    animation-name: trin;
    animation-duration: 1.5s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

.icon-phone
{
    background-image: url(../images/telephone-call.png);
    background-repeat: no-repeat;
    background-size: 22px;
    height: 28px;
    width: 28px;
    position: absolute;
    left: 35%;
    top: 20%;
}

@keyframes trin {

    from {
        transform:rotate3d(0, 0, 1, 0deg);
    }
    20%, 32%, 44%, 56%, 68% {
        transform: rotate3d(0, 0, 1, 0deg);
    }
    23%, 35%, 47%, 59%, 71% {
        transform: rotate3d(0,0,1,15deg);
    }
    26%, 38%, 50%, 62%, 74% {
        transform: rotate3d(0,0,1,0deg);
    }
    29%, 41%, 53%, 65%, 77% {
        transform: rotate3d(0,0,1,-15deg);
    }
    80% {
        transform:rotate3d(0, 0, 1, 0deg);
    }

}

.view-port-header{
  background: #265f9c;
  padding: 5px 10px;
  border-radius: 5px;
  display: inline-block;
  width: 100%;
  /* margin: 15px 1% 0; */
}
.view-port-header label {
  color: #fff;
  display: block;
  padding-bottom: 5px;
  font-size: .9rem;
}
.view-port-header label .keytxt {
  display: block;
  font-size: .8rem;
}
.view-port-header label .valuetxt {
  display: inline-block;
}
.active > .nav-sub{padding-top: 5px;}
.navside .nav li.active > a {
  /* background-color: #00537c; */
  background: #e39600;
}
.labelsmall{
  margin-bottom: 0;
  font-size: 13px;
  color: #444;
  font-weight: 300;
}
.viewlabel {
  color: #222;
}
.table > thead > tr > th {
  padding: 10px 16px;
  background: rgba(120, 130, 140, 0.069);
  border-color: rgba(120, 130, 140, 0.099);
  font-weight: 500;
  text-wrap: nowrap;
}

.table > tbody > tr > td{padding-top: 8px !important;padding-bottom: 8px !important;text-wrap: nowrap;}

.manual-filters-section{margin: 10px 15px;}
.action-items a{color: #006666 !important;padding: 0 4px;}
.action-items .material-icons{font-size: 16px;}
.report-dtls-header{
  margin: 0;
  background: #265f9c;
  font-weight: 600;
  border-radius: 5px;
  color: #fff;
}
.report-dtls-header .keytxt {
  width: 180px;
  font-weight: 400;
}
.creditsnote{
  margin: 0 0 0 20px;
}
.creditsnote strong{font-weight: 500;}
.creditbg{
  background: #38c692;
    color: #fff;
    padding: 2px 10px;
    border-radius: 15px;
}

@media (max-width: 767px){
    .mini-container{width: 100%;margin: 0 auto;}
    .sm-d-none{display: none;}
    .app-aside .left{width: 220px;}
    .app-aside.modal{z-index: 9999;}
    .app-header {
        z-index: 1030;
    }
    .app-header.navbar-md ~ .app-body{padding-top: 5rem;}
    .box-tool{padding: 0px 10px 10px 25px;position: inherit;}
    .lead-popup-wrap .nav-md{display: flex;overflow-x: auto;width: 100%;}
    .lead-popup-wrap .nav-md .nav-item, .lead-popup-wrap .nav-md .nav-link{display: flex;width: max-content;}
    .lead-popup-wrap .nav-md .nav-link span{display: flex;align-items: center;}
    .lead-popup-wrap .nav-md .nav-link span i{margin-right: 10px;}
    .lead-popup-title{width:36%;margin: 0 0 15px;}
    .lead-popup-wrap .tab-content .form-group .col-sm-4, .lead-popup-wrap .tab-content .form-group .col-sm-6{margin-bottom:1rem;}
    .lead-popup-wrap .box-body{padding: 0;margin-top: 15px;}
    .lead-popup-wrap{height: 55vh;}
    .lead-btm-btn-group .btn{margin-bottom:15px;}
    .switcher .sw-btn{top: -50px;}
    div.dataTables_wrapper div.dataTables_info{padding-top: 0px;}
    .lead-details{margin-top: 15px;}
    .app-footer{bottom: -5px;}
    .add-compaign-form .select2-container, .add-new-lead-form .select2-container, .add-new-user-form .select2-container, .add-new-status-form .select2-container, .add-substatus-form .select2-container, .add-product-service-form .select2-container{z-index: 999;}
    .viewlabel{margin-bottom: 0.5rem;}
    .tbl-overflow{overflow: auto;}
}

@media (min-width: 992px){
    .modal-lg {
        max-width: 1100px;
    }
    .app-aside, .app-aside .scroll {
        width: 12rem;
    }
    .app-aside:not(.hide) ~ .app-content {
        margin-left: 12rem;
    }
}
